import { defineComponent, openBlock, createBlock, unref, normalizeClass, withCtx, createElementVNode, createVNode, createElementBlock, Fragment, createCommentVNode, renderList, toDisplayString, createTextVNode } from "vue";
import { withTheme } from "../../theme/index.js";
import { Disclosure, DisclosureButton, DisclosurePanel } from "../../node_modules/@headlessui/vue/dist/components/disclosure/disclosure.esm.js";
import render from "../../node_modules/@heroicons/vue/outline/esm/MenuIcon.js";
import render$1 from "../../node_modules/@heroicons/vue/outline/esm/XIcon.js";
const _hoisted_1 = /* @__PURE__ */ createElementVNode("span", { class: "sr-only" }, "Open main menu", -1);
const _hoisted_2 = ["href", "aria-current"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  props: {
    navigation: null,
    title: null,
    logo: { type: Boolean }
  },
  setup(__props) {
    const styles = withTheme("appBar");
    let classes = styles.base;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Disclosure), {
        as: "nav",
        class: normalizeClass(unref(classes).wrapper)
      }, {
        default: withCtx(({ open }) => [
          createElementVNode("div", {
            class: normalizeClass(unref(classes).screenWrapper)
          }, [
            createElementVNode("div", {
              class: normalizeClass(unref(classes).screenContainer)
            }, [
              createElementVNode("div", {
                class: normalizeClass(unref(classes).menuButton.container)
              }, [
                createVNode(unref(DisclosureButton), {
                  class: normalizeClass(unref(classes).menuButton.button)
                }, {
                  default: withCtx(() => [
                    _hoisted_1,
                    !open ? (openBlock(), createBlock(unref(render), {
                      key: 0,
                      class: normalizeClass(unref(classes).menuButton.icon),
                      "aria-hidden": "true"
                    }, null, 8, ["class"])) : (openBlock(), createBlock(unref(render$1), {
                      key: 1,
                      class: normalizeClass(unref(classes).menuButton.icon),
                      "aria-hidden": "true"
                    }, null, 8, ["class"]))
                  ]),
                  _: 2
                }, 1032, ["class"])
              ], 2),
              createElementVNode("div", {
                class: normalizeClass(unref(classes).logo.wrapper)
              }, [
                createElementVNode("div", {
                  class: normalizeClass(unref(classes).logo.container)
                }, [
                  __props.logo ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
                    createElementVNode("img", {
                      class: normalizeClass(unref(classes).logo.image),
                      src: "https://tailwindui.com/img/logos/workflow-mark-indigo-500.svg",
                      alt: "Workflow"
                    }, null, 2),
                    createElementVNode("img", {
                      class: normalizeClass(unref(classes).logo.mobileImage),
                      src: "https://tailwindui.com/img/logos/workflow-logo-indigo-500-mark-white-text.svg",
                      alt: "Workflow"
                    }, null, 2)
                  ], 64)) : createCommentVNode("", true),
                  createElementVNode("h3", {
                    class: normalizeClass(unref(classes).logo.text)
                  }, " Unlocked ", 2)
                ], 2)
              ], 2),
              createElementVNode("div", {
                class: normalizeClass(unref(classes).screenMenuWrapper)
              }, [
                createElementVNode("div", {
                  class: normalizeClass(unref(classes).screenMenuContainer)
                }, [
                  (openBlock(true), createElementBlock(Fragment, null, renderList(__props.navigation, (item) => {
                    return openBlock(), createElementBlock("a", {
                      key: item.name,
                      href: item.href,
                      class: normalizeClass([item.current ? unref(classes).screenMenuItem.active : unref(classes).screenMenuItem.default, unref(classes).screenMenuItem.base]),
                      "aria-current": item.current ? "page" : void 0
                    }, toDisplayString(item.name), 11, _hoisted_2);
                  }), 128))
                ], 2)
              ], 2)
            ], 2)
          ], 2),
          createVNode(unref(DisclosurePanel), {
            class: normalizeClass(unref(classes).mobileWrapper)
          }, {
            default: withCtx(() => [
              createElementVNode("div", {
                class: normalizeClass(unref(classes).mobileContainer)
              }, [
                (openBlock(true), createElementBlock(Fragment, null, renderList(__props.navigation, (item) => {
                  return openBlock(), createBlock(unref(DisclosureButton), {
                    key: item.name,
                    as: "a",
                    href: item.href,
                    class: normalizeClass([item.current ? unref(classes).mobileMenuItem.active : unref(classes).mobileMenuItem.default, unref(classes).mobileMenuItem.base]),
                    "aria-current": item.current ? "page" : void 0
                  }, {
                    default: withCtx(() => [
                      createTextVNode(toDisplayString(item.name), 1)
                    ]),
                    _: 2
                  }, 1032, ["href", "class", "aria-current"]);
                }), 128))
              ], 2)
            ]),
            _: 1
          }, 8, ["class"])
        ]),
        _: 1
      }, 8, ["class"]);
    };
  }
});
export { _sfc_main as default };
//# sourceMappingURL=appBar.js.map
